<mat-drawer-container class="example-container">

  <mat-drawer mode="over" [opened]="isDrawerOpened" (closedStart)="closeDrawer()">
    <ng-template #drawerContainer></ng-template>
  </mat-drawer>

  <mat-drawer-content class="drawer-content">
    <app-header></app-header>
    <main>
      <router-outlet></router-outlet>
    </main>
  </mat-drawer-content>

</mat-drawer-container>
